Bug 65186 - QT and OpenGL apps.
QT and OpenGL apps.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 14:54 EDT by Ali-Reza Anghaie
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2002-05-19 14:54:22 EDT
Description of Problem:  
  
Various OpenGL applications that try to map textures from PNG or RBG files  
don't work properly under KDE3. I ~think~ it's a QT problem but I'm really  
unsure.  
  
For example Xtraceroute doesn't load the Earth texture, glchess doesn't load  
textures either, etc. I've replicated this on two Valhalla boxes.  
  
Full-screen programs like Tux Racer don't seem to have this problem.  
  
  
Version-Release number of selected component (if applicable):  
  
qt-3.0.3-11  
kdebase-3.0.0-12  
xtraceroute-0.9.0-6  
XFree86-4.2.0-8  
  
  
How Reproducible:  
  
Always.  
  
Steps to Reproduce:  
1. Run a OpenGL app with texture maps in a window under KDE.  
2.   
3.   
  
  
Actual Results:  
  
Textures don't map.  
  
  
Expected Results:  
  
I'd expect the textures to map ok.  
  
  
Additional Information:  
 
Setting it low/low as I don't think it's a big deal but you should be aware of 
it or perhaps there is an easy fix.
Comment 1 Bernhard Rosenkraenzer 2002-05-19 17:32:02 EDT
glXChooseVisual seems to mess up
Comment 2 Bernhard Rosenkraenzer 2002-06-19 07:28:01 EDT
Probably an X issue.
Comment 3 Mike A. Harris 2002-08-08 06:53:12 EDT
Defering for when man lands on Mars.
Comment 4 Mike A. Harris 2005-04-20 08:40:30 EDT
Hey packetknife...  Aparently men have landed on Mars now!  ;o)

Going through old deferred bugs, and found this one..  Assuming it's
working in current OS releases.

Setting to CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.